.\"
.\" Copyright (c) 1992,1993,1994 Hellmuth Michaelis
.\"
.\" Copyright (c) 1990 The Regents of the University of California.
.\"
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\" @(#)keycap.5, 3.00, Last Edit-Date: [Sun Jan  2 13:45:59 1994]
.\" $FreeBSD: src/usr.sbin/pcvt/keycap/man5/keycap.5,v 1.2.2.2 1999/09/05 11:40:41 peter Exp $
.\"
.Dd January 3, 1993
.Dt KEYCAP 5
.Sh NAME
.Nm keycap
.Nd keyboard mapping data base
.Sh SYNOPSIS
.Nm keycap
.Sh DESCRIPTION
The
.Nm keycap
file
is a data base describing keyboard mappings, used by
.Xr kcon 1 .
.Pp
Entries in
.Nm keycap
consist of a number of `:'-separated fields.
The first entry for each mapping gives the names that are known for the
mapping, separated by `|' characters.
All names but the first and last
should be in lower case and contain no blanks;
the last name may well contain
upper case and blanks for readability.
.Sh CAPABILITIES
.Pp
.Bl -column indent indent
.Sy Name	Type	Description
.It "de	bool	Resets Keyboard mapping to compiled-in default"
.It "D<n>	bool	Disables key <n> completely"

.It "m<n>	num	specify key numbers for ALT keys 
.It "l<n>	num	specify key numbers for ALTGR keys
.It "h<n>	num	specify key numbers for SHIFT keys
.It "t<n>	num	specify key numbers for CONTROL keys
.It "ca<n>	num	specify key number for the CAPS LOCK key
.It "sh<n>	num	specify key number for the SHIFT LOCK key
.It "nl<n>	num	specify key number for the NUM LOCK key
.It "sc<n>	num	specify key number for the SCROLL LOCK key

.It "K<n>	str	bind a string to a unshifted (normal) key
.It "S<n>	str	bind a string to a shifted key
.It "C<n>	str	bind a string to a control key
.It "A<n>	str	bind a string to a altgr key

.It "tc	str	Entry of similar map \- must be last."
.El

Parameter <n> describing the key number can have values from 1 to 128.

A string parameter may have up to 15 characters.

.Pp
.Ss A Sample Entry
The following entry, which describes a test entry, is among the very
easy entries in the
.Nm keycap
file as of this writing.
.Pp
.Bd -literal
tt\||test\||Test entry which swaps y and z:\e
	:K22=z:S22=Z:C22=\e032:\e
	:K46=y:S46=Y:C46=\e031:

.Ed
.Pp
Entries may continue onto multiple lines by giving a \e as the last
character of a line. Comments may be included on lines beginning with
.Dq # .
.Sh FILES
.Bl -tag -width /usr/share/misc/keycap.pcvt -compact
.It Pa /usr/share/misc/keycap.pcvt
File containing keyboard mapping descriptions.
.El
.Sh SEE ALSO
.Xr kcon 1 ,
.Xr keycap 3
.Sh EXAMPLES
The entry
.Dq Li l1#60
sets the keynumber for the ALTGR key to 60.

The entry
.Dq Li K100=hugo
binds the string 'hugo' to the key number 100.

The entry
.Dq Li K100=^D
binds the control character EOT (0x04) to the key number 100.

The entry
.Dq Li K100=\e000
binds the control character NUL (0x00) to the key number 100.
